Index: ChangeLog
===================================================================
--- ChangeLog	(revision 03ad7b27d6fd11940f12abb4d57ff2f89e24e9a6)
+++ ChangeLog	(revision e016fc2ee36fa9c8bb0afdd3a024e1f0368087de)
@@ -4,4 +4,6 @@
 	Initialze $owl::auth
 	'addbuddy aim' now works and 'delbuddy aim' mostly works
+	Bug fix to make zwrite -m work with -c/-i
+	Fix in autoconf for des425
 	
 2.0.5
Index: configure
===================================================================
--- configure	(revision aef17f20dd107498537c8403fd0d3f4eeeacb0f6)
+++ configure	(revision e016fc2ee36fa9c8bb0afdd3a024e1f0368087de)
@@ -1053,7 +1053,7 @@
 fi
 
-echo $ac_n "checking for des425_req_act_vno in -ldes425""... $ac_c" 1>&6
-echo "configure:1057: checking for des425_req_act_vno in -ldes425" >&5
-ac_lib_var=`echo des425'_'des425_req_act_vno | sed 'y%./+-%__p_%'`
+echo $ac_n "checking for req_act_vno in -ldes425""... $ac_c" 1>&6
+echo "configure:1057: checking for req_act_vno in -ldes425" >&5
+ac_lib_var=`echo des425'_'req_act_vno | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1067,8 +1067,8 @@
 /* We use char because int might match the return type of a gcc2
     builtin and then its argument prototype would still apply.  */
-char des425_req_act_vno();
+char req_act_vno();
 
 int main() {
-des425_req_act_vno()
+req_act_vno()
 ; return 0; }
 EOF
@@ -1512,7 +1512,6 @@
 fi
 
-
 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:1517: checking how to run the C preprocessor" >&5
+echo "configure:1516: checking how to run the C preprocessor" >&5
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
@@ -1529,5 +1528,5 @@
   # not just through cpp.
   cat > conftest.$ac_ext <<EOF
-#line 1532 "configure"
+#line 1531 "configure"
 #include "confdefs.h"
 #include <assert.h>
@@ -1535,5 +1534,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1538: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1537: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -1546,5 +1545,5 @@
   CPP="${CC-cc} -E -traditional-cpp"
   cat > conftest.$ac_ext <<EOF
-#line 1549 "configure"
+#line 1548 "configure"
 #include "confdefs.h"
 #include <assert.h>
@@ -1552,5 +1551,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1555: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1554: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -1563,5 +1562,5 @@
   CPP="${CC-cc} -nologo -E"
   cat > conftest.$ac_ext <<EOF
-#line 1566 "configure"
+#line 1565 "configure"
 #include "confdefs.h"
 #include <assert.h>
@@ -1569,5 +1568,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1572: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1571: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -1594,10 +1593,10 @@
 
 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:1597: checking for ANSI C header files" >&5
+echo "configure:1596: checking for ANSI C header files" >&5
 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1602 "configure"
+#line 1601 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
@@ -1607,5 +1606,5 @@
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1610: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1609: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -1624,5 +1623,5 @@
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 1627 "configure"
+#line 1626 "configure"
 #include "confdefs.h"
 #include <string.h>
@@ -1642,5 +1641,5 @@
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
 cat > conftest.$ac_ext <<EOF
-#line 1645 "configure"
+#line 1644 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
@@ -1663,5 +1662,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1666 "configure"
+#line 1665 "configure"
 #include "confdefs.h"
 #include <ctype.h>
@@ -1674,5 +1673,5 @@
 
 EOF
-if { (eval echo configure:1677: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1676: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   :
@@ -1698,10 +1697,10 @@
 
 echo $ac_n "checking for sys/wait.h that is POSIX.1 compatible""... $ac_c" 1>&6
-echo "configure:1701: checking for sys/wait.h that is POSIX.1 compatible" >&5
+echo "configure:1700: checking for sys/wait.h that is POSIX.1 compatible" >&5
 if eval "test \"`echo '$''{'ac_cv_header_sys_wait_h'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1706 "configure"
+#line 1705 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
@@ -1719,5 +1718,5 @@
 ; return 0; }
 EOF
-if { (eval echo configure:1722: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1721: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_header_sys_wait_h=yes
@@ -1743,15 +1742,15 @@
 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-echo "configure:1746: checking for $ac_hdr" >&5
+echo "configure:1745: checking for $ac_hdr" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1751 "configure"
+#line 1750 "configure"
 #include "confdefs.h"
 #include <$ac_hdr>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1756: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1755: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -1785,5 +1784,5 @@
 
 echo $ac_n "checking for the perl xsubpp precompiler""... $ac_c" 1>&6
-echo "configure:1788: checking for the perl xsubpp precompiler" >&5
+echo "configure:1787: checking for the perl xsubpp precompiler" >&5
 XSUBPPDIR="`(perl -MExtUtils::MakeMaker -e 'print ExtUtils::MakeMaker->new({NAME => qw(owl)})->tool_xsubpp;') | grep \^XSUBPPDIR | sed -e 's/XSUBPPDIR = //g;'`"
 if test -n "${XSUBPPDIR}"; then
@@ -1800,5 +1799,5 @@
 ac_safe=`echo "/usr/share/terminfo" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for /usr/share/terminfo""... $ac_c" 1>&6
-echo "configure:1803: checking for /usr/share/terminfo" >&5
+echo "configure:1802: checking for /usr/share/terminfo" >&5
 if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1825,5 +1824,5 @@
 ac_safe=`echo "/usr/share/lib/terminfo" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for /usr/share/lib/terminfo""... $ac_c" 1>&6
-echo "configure:1828: checking for /usr/share/lib/terminfo" >&5
+echo "configure:1827: checking for /usr/share/lib/terminfo" >&5
 if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1886,5 +1885,5 @@
 # ./install, which can be erroneously created by make from ./install.sh.
 echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
-echo "configure:1889: checking for a BSD compatible install" >&5
+echo "configure:1888: checking for a BSD compatible install" >&5
 if test -z "$INSTALL"; then
 if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
Index: configure.in
===================================================================
--- configure.in	(revision 0435c7dd5f61ff55e7f610186b88a9f41a5aab2b)
+++ configure.in	(revision e016fc2ee36fa9c8bb0afdd3a024e1f0368087de)
@@ -35,5 +35,5 @@
 AC_CHECK_LIB(socket, socket)
 AC_CHECK_LIB(k5crypto, krb5_derive_key)
-AC_CHECK_LIB(des425, des425_req_act_vno)
+AC_CHECK_LIB(des425, req_act_vno)
 AC_CHECK_LIB(des, des_quad_cksum)
 AC_CHECK_LIB(resolv, res_search)
Index: zwrite.c
===================================================================
--- zwrite.c	(revision ae0a5fc97c06ca279b0a5d868a2fba56ac18dafa)
+++ zwrite.c	(revision e016fc2ee36fa9c8bb0afdd3a024e1f0368087de)
@@ -84,6 +84,6 @@
 	break;
       }
-      /* we must already have users */
-      if (owl_list_get_size(&(z->recips))<1) {
+      /* we must already have users or a class or an instance*/
+      if (owl_list_get_size(&(z->recips))<1 && (!z->class) && (!z->inst)) {
 	badargs=1;
 	break;
